<div class="titrePage">
{if $STEP < 2}
<h2>Piwigo AutoUpgrade</h2>
{else}
<h2>{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}</h2>
{/if}
</div>

{if $STEP == 0}
  {if $CHECK_VERSION}
    <p>{'You are running the latest version of Piwigo.'|@translate}</p>
  {else}  
    <p>{'Check for upgrade failed for unknown reasons.'|@translate}</p>
  {/if}
{/if}

{if $STEP == 1}
<p>{'2 upgrades are available'|@translate}</p>
<p>
<ul>
  <li><a href="{$AU_URL}&amp;step=2&amp;to={$new_versions.1}">{'Upgrade to Piwigo %s'|@translate|@sprintf:$new_versions.1}</a>: {'This is a minor upgrade, with only bug corrections'|@translate}</li>
  <li><a href="{$AU_URL}&amp;step=3&amp;to={$new_versions.0}">{'Upgrade to Piwigo %s'|@translate|@sprintf:$new_versions.0}</a>: {'This is a major upgrade, with <a href="http://piwigo.org/releases/%s">new exciting features</a>. Some themes and plugins may be not available yet.'|@translate|@sprintf:$new_versions.0}</li>
</ul>
</p>
{/if}

{if $STEP == 2}
<form action="" method="post">
<p style="text-align:left; margin-left:20px;">
  {'A new version of Piwigo is available.'}<br>
  {'This is a minor upgrade, with only bug corrections'|@translate}
</p>
<p>
  <input type="hidden" name="upgrade_to" value="{$UPGRADE_TO}">
  <input type="submit" name="submit" value="{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}" onClick="return confirm('{'autoupdate_alert'|@translate}');">
</p>
</form>
{/if}

{if $STEP == 3}
<form action="" method="post">
<p style="text-align:left; margin-left:20px;">
  {'A new version of Piwigo is available.'}<br>
  {'This is a major upgrade, with <a href="http://piwigo.org/releases/%s">new exciting features</a>. Some themes and plugins may be not available yet.'|@translate|@sprintf:$UPGRADE_TO}
</p>
<input type="hidden" name="upgrade_to" value="{$UPGRADE_TO}">
<fieldset style="text-align:left;">
  <legend>{'Save template directory'|@translate}</legend>
  <p><input type="submit" name="saveTemplate" value="{'Save template directory'|@translate}"></p>
</fieldset>
<fieldset>
  <legend>{'Dump Database'|@translate}</legend>
  <p><input type="checkbox" name="includeHistory"> &nbsp; {'Include history table'|@translate}</p>
  <p><input type="submit" name="dumpDatabase" value="{'Dump Database'|@translate|@sprintf:$UPGRADE_TO}"></p>
</fieldset>
<fieldset>
  <legend>{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}</legend>
  <p><input type="submit" name="submit" value="{'Upgrade to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}"></p>
</fieldset>
</form>
{/if}